var configurations = require('../configurations/configurations').configurations;
var http = require('http');
var router = require('../router/router');
var cors = require('../cors/cors');

var start = function(route){
	var server = http.createServer(function(request, response) {
		
		var process = cors.process(request, response);
		if(!process.continue){
            response.writeHead(403, 'Forbidden');
            response.end();
            return;
    	}
		
		router.route(request, response);
	}).listen(configurations.port);
	 
	console.log('Server runing at port: ' + configurations.port + '.');
};

exports.start = start;