exports.configurations = {
	port: 8888,
	wwwroot: 'D:\\demo',
	assetspath: 'D:\\demo\\assets',
	browsercacheseconds: 30 * 24 * 60 * 60,
	compress: {
		filenameextension: /css|js|html/ig
	},
	cors: {
		filenameextension: /ttf/ig,
		allowOrigins: '*', 
		allowHeaders: 'Accept,Accept-Encoding,Accept-Language,Content-Type,If-Modified-Since',
		allowMethods: 'GET',
		cacheMaxAge: 3600
	},
	mime: {
	    'css':'text/css',
	    'gif':'image/gif',
	    'html':'text/html',
	    'htm':'text/html',
	    'ico':'image/x-icon',
	    'jpeg':'image/jpeg',
	    'jpg':'image/jpeg',
	    'js':'text/javascript',
	    'json':'application/json',
	    'pdf':'application/pdf',
	    'png':'image/png',
	    'svg':'image/svg+xml',
	    'swf':'application/x-shockwave-flash',
	    'tiff':'image/tiff',
	    'txt':'text/plain',
	    'wav':'audio/x-wav',
	    'wma':'audio/x-ms-wma',
	    'wmv':'video/x-ms-wmv',
	    'xml':'text/xml',
	    'unknown':'text/plain'
	}
};
